## mstflint 4.21.0+1

=== kernel/Makefile ===
#
# Copyright (c) 2017-2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# BSD-3-Clause
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice, this
# list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.
#
# 3. Neither the name of the copyright holder nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
KPVER ?= $(shell uname -r)
KSRC ?= /lib/modules/$(KPVER)/build
CPU_ARCH ?= $(shell uname -m)

# GCC earlier than 4.6.0 will build modules which require 'mcount',
# and this symbol will not be available in the kernel if the kernel was
# compiled with GCC 4.6.0 and above.
# therefore, to prevent unknown symbol issues we disable function tracing.
#

ifeq ($(CC),)
CC  = $(CROSS_COMPILE)gcc
endif
CPP = $(CC) -E
ifneq ($(CC),cc)
override WITH_MAKE_PARAMS += CC=$(CC)
endif

CPP_MAJOR := $(shell $(CPP) -dumpversion 2>&1 | cut -d'.' -f1)
CPP_MINOR := $(shell $(CPP) -dumpversion 2>&1 | cut -d'.' -f2)
CPP_PATCH := $(shell $(CPP) -dumpversion 2>&1 | cut -d'.' -f3)
# Assumes that major, minor, and patch cannot exceed 999
CPP_VERS  := $(shell expr 0$(CPP_MAJOR) \* 1000000 + 0$(CPP_MINOR) \* 1000 + 0$(CPP_PATCH))
compile_h=$(shell /bin/ls -1 $(KSRC)/include/*/compile.h 2> /dev/null | head -1)
ifneq ($(compile_h),)
KERNEL_GCC_MAJOR := $(shell grep LINUX_COMPILER $(compile_h) | grep -Eo ' [0-9]+\.[0-9]+\.[0-9]+[, $$]' | sed 's/[, ]//g' | cut -d'.' -f1)
KERNEL_GCC_MINOR := $(shell grep LINUX_COMPILER $(compile_h) | grep -Eo ' [0-9]+\.[0-9]+\.[0-9]+[, $$]' | sed 's/[, ]//g' | cut -d'.' -f2)
KERNEL_GCC_PATCH := $(shell grep LINUX_COMPILER $(compile_h) | grep -Eo ' [0-9]+\.[0-9]+\.[0-9]+[, $$]' | sed 's/[, ]//g' | cut -d'.' -f3)
KERNEL_GCC_VER  := $(shell expr 0$(KERNEL_GCC_MAJOR) \* 1000000 + 0$(KERNEL_GCC_MINOR) \* 1000 + 0$(KERNEL_GCC_PATCH))
ifneq ($(shell if [ $(CPP_VERS) -lt 4006000 ] && [ $(KERNEL_GCC_VER) -ge 4006000 ]; then \
                                       echo "YES"; else echo ""; fi),)
$(info Warning: The kernel was compiled with GCC newer than 4.6.0, while the current GCC is older than 4.6.0, Disabling function tracing to prevent unknown symbol issues...)
override WITH_MAKE_PARAMS += CONFIG_FUNCTION_TRACER= CONFIG_HAVE_FENTRY=
endif
ifneq ($(shell if [ $(CPP_VERS) -ge 4006000 ] && [ $(KERNEL_GCC_VER) -lt 4006000 ]; then \
                                       echo "YES"; else echo ""; fi),)
$(info Warning: The kernel was compiled with GCC older than 4.6.0, while the current GCC is newer than 4.6.0, Disabling function tracing to prevent unknown symbol issues...)
override WITH_MAKE_PARAMS += CONFIG_FUNCTION_TRACER= CONFIG_HAVE_FENTRY=
endif
endif
ifneq ($(shell if (echo $(KPVER) | grep -qE 'uek'); then \
                                       echo "YES"; else echo ""; fi),)
override WITH_MAKE_PARAMS += ctf-dir=$(CWD)/.ctf
endif

obj-m += mstflint_access.o
mstflint_access-objs += mst_vpd.o mst_main.o

all:
	make -C $(KSRC) M=$(PWD) CONFIG_CTF= CONFIG_CC_STACKPROTECTOR_STRONG= $(WITH_MAKE_PARAMS) modules

clean:
	make -C $(KSRC) M=$(PWD) clean

## mstflint 3.7.0

=== debian/changelog ===
mstflint (3.7.0-1) unstable; urgency=medium

  * New upstream release: 3.7.0-1.10.gdf7ec73
  * Add build depends on libibmad-dev and autotools-dev.
  * Remove build depends on automake and libtool.
  * Switch to dh 9 and source format version 3.0
  * Remove placeholder manpages.
  * Remove flag DM-Upload-Allowed.
  * Remove all current Uploaders, they're welcome back anytime.
    Add myself to Uploaders.
  * Bump Standards-Version to 3.9.5 (no changes required).
  * Update homepage.
  * Add a watch file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 04 Jul 2014 15:39:23 +0200

mstflint (1.4-OFED-1.4.2-1) unstable; urgency=low

  * Initial release (Closes: #539827)

 -- Benoit Mortier <benoit.mortier@opensides.be>  mon, 30 mar 2010 00:19:00 +0100

=== debian/control ===
Source: mstflint
Section: net
Priority: extra
Maintainer: OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: debhelper (>= 9), zlib1g-dev, autotools-dev, libibmad-dev
Standards-Version: 3.9.5
Homepage: https://www.openfabrics.org/downloads/mstflint/

Package: mstflint
Architecture: i386 ia64 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mellanox firmware burning application
 This package contains a burning tool and diagnostic tools for Mellanox
 manufactured HCA/NIC cards. It also provides access to the relevant source
 code.

## mstflint 3.7.0+1.18.gcdb9f80

=== debian/changelog ===
mstflint (3.7.0+1.18.gcdb9f80-3ubuntu2) vivid; urgency=medium

  * Enable building on all Linux architectures (LP: #1414818)
  * Update config.{sub,guess} correctly with dh_autotools-dev

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 15 Jul 2015 08:35:34 -0600

mstflint (3.7.0+1.18.gcdb9f80-3ubuntu1) vivid; urgency=medium

  * debian/patches/uninitialized-variables-O3.patch: Fix uninitialized
    variables when building with -O3.  Closes LP: #1367842.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Mar 2015 19:19:41 -0700

mstflint (3.7.0+1.18.gcdb9f80-3) unstable; urgency=medium

  * Add support for ppc64el. Thanks to Breno Leitao. (Closes:#760864)
    This time for real!

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 11 Sep 2014 22:07:17 +0200

mstflint (3.7.0+1.18.gcdb9f80-2) unstable; urgency=medium

  * Add support for ppc64el. Thanks to Breno Leitao. (Closes:#760864)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 11 Sep 2014 21:45:18 +0200

mstflint (3.7.0+1.18.gcdb9f80-1) unstable; urgency=medium

  * New upstream release: 3.7.0-1.18.gcdb9f80

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 04 Sep 2014 11:06:11 +0200

=== debian/control ===
Source: mstflint
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: debhelper (>= 9), zlib1g-dev, autotools-dev, libibmad-dev
Standards-Version: 3.9.5
Homepage: https://www.openfabrics.org/downloads/mstflint/

Package: mstflint
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mellanox firmware burning application
 This package contains a burning tool and diagnostic tools for Mellanox
 manufactured HCA/NIC cards. It also provides access to the relevant source
 code.

## mstflint 4.1.0+1.46.gb1cdaf7

=== debian/changelog ===
mstflint (4.1.0+1.46.gb1cdaf7-1ubuntu3.1) xenial; urgency=medium

  * Fix dropped files introduced by creating a multi-binary source
    package :
     - debian/mstflint.install
     - debian/rules : forces manpage install in man1 (LP: #1577164)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Tue, 03 May 2016 14:43:27 +0200

mstflint (4.1.0+1.46.gb1cdaf7-1ubuntu3) xenial; urgency=medium

  * Add versionned dependency on mstflint virtual package so upgrade
    ordering is correct.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 11 Apr 2016 12:12:09 +0200

mstflint (4.1.0+1.46.gb1cdaf7-1ubuntu2) xenial; urgency=medium

  * debian/control :
    - Add Breaks/Replaces on mstflint4
    - Add mstflint4 transitional package to facilitate migration 
      from previous versions
      (LP: #1555139)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 09 Mar 2016 16:33:51 +0100

mstflint (4.1.0+1.46.gb1cdaf7-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable. (LP: #1528791) Remaining changes:
    - debian/control:
      + Enable building on all Linux architectures
    - debian/rules:
      + Update config.{sub,guess} correctly with dh_autotools-dev.
  * debian/patches/fix-ggc5-compile-errors.patch:
    - Drop, fixed upstream.

 -- Artur Rona <ari-tczew@ubuntu.com>  Mon, 18 Jan 2016 01:28:25 +0100

mstflint (4.1.0+1.46.gb1cdaf7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 4.1.0-1.46.gb1cdaf7:
    - Previous patches were integrated upstream.
  * Add patch to remove date and time from version string to ensure a
    reproducible build.
  * Add patch to fix spelling errors in mstflint.1 and shipped binaries.
  * Add a debian/gbp.conf file to automatically filter out upstream's debian/
    directory when running "gbp import-orig".

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 31 Dec 2015 01:46:42 +0100

mstflint (4.0.1+1.43.g97d7275-2) unstable; urgency=medium

  * Add fields Vcs-Browser/Vcs-Git.
  * Add patches to fix FTBFS: (Closes: #797248)
    - fix_Werror=maybe-uninitialized
    - fix_Werror=sizeof-array-argument

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 01 Sep 2015 16:25:26 +0200

mstflint (4.0.1+1.43.g97d7275-1) unstable; urgency=medium

  * New upstream release 4.0.1-1.43.g97d7275:
    - Build with GCC 5. (Closes: #778016)
  * Update to Standards-Version 3.9.6, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 23 Jul 2015 15:42:01 +0200

mstflint (3.7.0+1.18.gcdb9f80-3.1ubuntu2) wily; urgency=medium

  * According to common/compatibility.h, this package can only be built on
    a restricted set of architectures: i386 amd64 powerpc ppc64el arm64 
  * Fix some uninitialized variable compile errors as well as some sizeof 
    compile errors.
    debian/patches/fix-gcc5-compile-errors.patch

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 02 Sep 2015 13:37:10 -0600

mstflint (3.7.0+1.18.gcdb9f80-3.1ubuntu1) wily; urgency=medium

  * Enable building on all Linux architectures (LP: #1414818)
  * Update config.{sub,guess} correctly with dh_autotools-dev

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 15 Jul 2015 08:28:32 -0600

mstflint (3.7.0+1.18.gcdb9f80-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure when build with -O3, and fix build failure when
    building with GCC 5 (Steve Langasek). Closes: #778016.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jul 2015 16:08:01 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,26 @@
 XSBC-Original-Maintainer: OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 9), zlib1g-dev, autotools-dev, libibmad-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-ofed/mstflint.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ofed/mstflint.git
 Homepage: https://www.openfabrics.org/downloads/mstflint/
 
 Package: mstflint
-Architecture: linux-any
+Architecture: i386 amd64 powerpc ppc64el arm64
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: mstflint4 (<< ${binary:Version})
+Replaces: mstflint4 (<< ${binary:Version})
 Description: Mellanox firmware burning application
  This package contains a burning tool and diagnostic tools for Mellanox
  manufactured HCA/NIC cards. It also provides access to the relevant source
  code.
 
+Package: mstflint4
+Section: oldlibs
+Priority: extra
+Architecture: i386 amd64 powerpc ppc64el arm64
+Depends: mstflint (>= ${binary:Version}), ${misc:Depends}
+Description: transitional package, use "mstflint" instead of "mstflint4"
+ This is a transitional to aid migration to "mstflint"
+ It can be safely removed from the system once nothing depends on it.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

# Needs to override since dh_installman makes a wrong guess
# based on TH being mstflint 4.0.0
override_dh_installman:
	dh_install  debian/tmp/usr/share/man/man1/mstflint.1 /usr/share/man/man1

## mstflint 4.4.0+1.12.gd1edd58

=== debian/changelog ===
mstflint (4.4.0+1.12.gd1edd58-2) unstable; urgency=medium

  * Team upload
  * Fix compilation on unknown/unsupported architectures (armel, armhf, mips,
    mips64el, mipsel, s390x, alpha, and hppa)
  * Disable -Werror compiler flag

 -- Benjamin Drung <bdrung@debian.org>  Sat, 20 Aug 2016 13:09:38 +0200

mstflint (4.4.0+1.12.gd1edd58-1) unstable; urgency=medium

  * Team upload
  * New upstream release.
    - Fixes build failure with GCC 6.0 (Closes: #811695)
  * Mangle upstream version to replace minus by plus
  * Drop typo fix patches (accepted upstream)
  * Enable hardening
  * Build binary package on linux-any
  * Point Vcs-* fields to HTTPS URLs
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Add patches to fix typos and malformed man pages
    - Fix spelling allign -> align
    - Fix spelling missmatch -> mismatch
    - Fix other typos
    - Fix section mismatch in man pages
    - Fix man page errors
  * Run autoreconf on build
  * Add dependency on libibmad5 (for dynamically loading libibmad.so.5)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 16 Aug 2016 18:03:58 +0200

=== debian/control ===
Source: mstflint
Section: net
Priority: extra
Maintainer: OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, libibmad-dev, zlib1g-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-ofed/mstflint.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ofed/mstflint.git
Homepage: https://www.openfabrics.org/downloads/mstflint/

Package: mstflint
Architecture: linux-any
Depends: libibmad5, ${misc:Depends}, ${shlibs:Depends}
Description: Mellanox firmware burning application
 This package contains a burning tool and diagnostic tools for Mellanox
 manufactured HCA/NIC cards. It also provides access to the relevant source
 code.

=== debian/watch ===
version=3
opts="uversionmangle=s/-/+/" \
https://www.openfabrics.org/downloads/mstflint/mstflint-(.*)\.(?:tar.gz|tar.bz2|tar.xz)

## mstflint 4.5.0+1.17.g8a0c39d

=== debian/changelog ===
mstflint (4.5.0+1.17.g8a0c39d-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh all patches
  * Fix spelling recieved -> received
  * Use system libraries of muparser and sqlite3
  * Do not install libmtcr_ul.a (it is used only for the mstflint binaries)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 03 Jan 2017 12:52:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,13 @@
 Priority: extra
 Maintainer: OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libibmad-dev, zlib1g-dev
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               libibmad-dev,
+               libmuparser-dev,
+               libsqlite3-dev,
+               pkg-config,
+               zlib1g-dev
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-ofed/mstflint.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ofed/mstflint.git

## mstflint 4.6.0

=== debian/changelog ===
mstflint (4.6.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch to point to new GitHub home
  * Drop patches that were accepted upstream and refresh remaining patches
  * Remove hca_self_test.ofed (upstream dropped it)
  * Update debian/copyright
  * Add myself to uploaders

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 24 Jan 2017 14:11:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Priority: extra
 Maintainer: OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>
-Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
+Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>,
+           Benjamin Drung <benjamin.drung@profitbricks.com>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libibmad-dev,

## mstflint 4.8.0

=== debian/changelog ===
mstflint (4.8.0-2) unstable; urgency=medium

  * Make the build reproducible (Closes: #886387). Thanks to Chris Lamb
    for the patch.
    - add 0012-Reproducible-build.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 05 Jan 2018 11:47:47 +0100

mstflint (4.8.0-1) unstable; urgency=medium

  * New upstream release
  * Set Debian HPC as maintainer
  * Move packaging Git repo on Salsa and update Vcs-* headers accordingly
  * Remove Ana Beatriz Guerrero Lopez from Uploaders and add myself
    Thanks Ana for all your work!
  * Run wrap-and-sort
  * Bump Standards-Version to 4.1.3
    - Set Priority to optional, instead of (deprecated) extra
  * Set homepage field to https://github.com/Mellanox/mstflint
  * Refresh patches (using gbp pq)
    - mtcr.h is needed to build mstflint, update dont-install-libmtcr_ul.patch
    - -I mft_utils is needed to build mstflint, update use-system-libs.patch
  * Add a patch to fix configure.ac by declaring 'm4' as an AC_CONFIG_MACRO_DIR

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 04 Jan 2018 18:32:50 +0100

=== debian/control ===
Source: mstflint
Section: net
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>,
           Benjamin Drung <benjamin.drung@profitbricks.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libibmad-dev,
               libmuparser-dev,
               libsqlite3-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/hpc-team/mstflint
Vcs-Browser: https://salsa.debian.org/hpc-team/mstflint
Homepage: https://github.com/Mellanox/mstflint

Package: mstflint
Architecture: linux-any
Depends: libibmad5,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Mellanox firmware burning application
 This package contains a burning tool and diagnostic tools for Mellanox
 manufactured HCA/NIC cards. It also provides access to the relevant source
 code.

## mstflint 4.11.0+1

=== debian/changelog ===
mstflint (4.11.0+1-1) unstable; urgency=medium

  * New upstream release
  * Refresh all patches and refresh upstream pull request
  * Fix more spelling mistakes (found by Lintian)
  * Cherry pick upstream patch for compatibility with openssl 1.1.X and 1.0.2
  * Add libssl-dev and libjson-c-dev to build dependencies
  * Switch to debhelper 12
  * Bump Standards-Version to 4.3.0 (no changes required)
  * Update debian/copyright

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 31 Jan 2019 21:45:25 +0100

=== debian/control ===
Source: mstflint
Section: net
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>,
           Benjamin Drung <benjamin.drung@cloud.ionos.com>
Build-Depends: debhelper-compat (= 12),
               libibmad-dev,
               libjson-c-dev,
               libmuparser-dev,
               libsqlite3-dev,
               libssl-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/hpc-team/mstflint.git
Vcs-Browser: https://salsa.debian.org/hpc-team/mstflint
Homepage: https://github.com/Mellanox/mstflint

Package: mstflint
Architecture: linux-any
Depends: libibmad5,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Mellanox firmware burning application and diagnostics tools
 This package contains a burning tool and diagnostic tools for Mellanox
 manufactured host channel adapters (HCA) and network interface cards (NIC).
 .
 This burning tool should be used only with Mellanox-manufactured
 HCA/NIC cards. Using it with cards manufactured by other vendors may
 be harmful to the cards (due to different configurations). Using the
 diagnostic tools is normally safe for all HCAs/NICs.

## mstflint 4.11.0-3

=== debian/changelog ===
mstflint (4.11.0-3-~1ubuntu2) bionic; urgency=medium

  * Add libssl dependency

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 04 Mar 2019 14:42:52 +0100

mstflint (4.11.0-3-~1ubuntu1) bionic; urgency=medium

  * Update to 4.11.0-3

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 04 Mar 2019 12:16:55 +0100

mstflint (4.10.0-3~1ubuntu2) bionic; urgency=medium

  * Add missing dependency 

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 12 Nov 2018 19:06:49 +0100

mstflint (4.10.0-3~1ubuntu1) bionic; urgency=medium

  * Update to 4.10.0-3

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 12 Nov 2018 16:33:30 +0100

=== debian/control ===
Source: mstflint
Section: net
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>,
           Benjamin Drung <benjamin.drung@profitbricks.com>
Build-Depends: autoconf-archive,
               debhelper (>= 9),
               dh-autoreconf,
               libibmad-dev,
               libmuparser-dev,
               libsqlite3-dev,
               libssl-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/hpc-team/mstflint
Vcs-Browser: https://salsa.debian.org/hpc-team/mstflint
Homepage: https://github.com/Mellanox/mstflint

Package: mstflint
Architecture: linux-any
Depends: libibmad5,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Mellanox firmware burning application
 This package contains a burning tool and diagnostic tools for Mellanox
 manufactured HCA/NIC cards. It also provides access to the relevant source
 code.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-openssl

## mstflint 4.13.1+1

=== debian/changelog ===
mstflint (4.13.1+1-1) unstable; urgency=medium

  * New upstream release (Closes: #939931)
  * Drop 13 patches (all accepted upstream) and refresh the 3 remaining patches
  * Fix spelling mistakes found by lintian
  * Add missing shebang to Python scripts
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.4.1

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 21 Oct 2019 15:51:13 +0200

=== debian/control ===
Source: mstflint
Section: net
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>,
           Benjamin Drung <benjamin.drung@cloud.ionos.com>
Build-Depends: debhelper-compat (= 12),
               libibmad-dev,
               libjson-c-dev,
               libmuparser-dev,
               libsqlite3-dev,
               libssl-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/hpc-team/mstflint.git
Vcs-Browser: https://salsa.debian.org/hpc-team/mstflint
Homepage: https://github.com/Mellanox/mstflint

Package: mstflint
Architecture: linux-any
Depends: libibmad5,
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Mellanox firmware burning application and diagnostics tools
 This package contains a burning tool and diagnostic tools for Mellanox
 manufactured host channel adapters (HCA) and network interface cards (NIC).
 .
 This burning tool should be used only with Mellanox-manufactured
 HCA/NIC cards. Using it with cards manufactured by other vendors may
 be harmful to the cards (due to different configurations). Using the
 diagnostic tools is normally safe for all HCAs/NICs.

## mstflint 4.13.3%2B2

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,19 @@
 Uploaders: Mehdi Dogguy <mehdi@debian.org>,
            Benjamin Drung <benjamin.drung@cloud.ionos.com>
 Build-Depends: debhelper-compat (= 12),
+               libboost-filesystem-dev,
+               libboost-regex-dev,
+               libboost-system-dev,
+               libexpat1-dev,
                libibmad-dev,
-               libjson-c-dev,
+               libjsoncpp-dev,
+               liblzma-dev,
                libmuparser-dev,
                libsqlite3-dev,
                libssl-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/hpc-team/mstflint.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/mstflint

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-adb-generic-tools

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/mstflint/usr/include debian/mstflint/usr/lib/*/*.a debian/mstflint/usr/lib/*/mstflint/*.a

## mstflint 4.13.3+2

=== debian/changelog ===
mstflint (4.13.3+2-1ubuntu1) focal; urgency=medium

  * Enable mstreg command while continuing to not build mstlink due to
    libjson-c-dev incompatibility. LP: #1864475.
  * Remove unused libjson-c-dev build-dep.
  * Feature Freeze exception granted. LP: #1868174.

 -- dann frazier <dannf@ubuntu.com>  Thu, 19 Mar 2020 11:14:35 -0600

mstflint (4.13.3+2-1) unstable; urgency=medium

  * New upstream release (Closes: #951417)
  * Drop spelling mistake fix (accepted upstream)
  * Refresh remaining patches
  * Bump Standards-Version to 4.5.0 (no changes required)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 17 Feb 2020 12:58:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Uploaders: Mehdi Dogguy <mehdi@debian.org>,
            Benjamin Drung <benjamin.drung@cloud.ionos.com>
 Build-Depends: debhelper-compat (= 12),
-               libboost-filesystem-dev,
-               libboost-regex-dev,
-               libboost-system-dev,
-               libexpat1-dev,
+	       libboost-filesystem-dev,
+	       libboost-regex-dev,
+	       libboost-system-dev,
+	       libexpat1-dev,
                libibmad-dev,
-               libjsoncpp-dev,
                liblzma-dev,
                libmuparser-dev,
                libsqlite3-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	dh_auto_configure -- --enable-adb-generic-tools

%:
	dh $@

## mstflint 4.14.0+3

=== debian/changelog ===
mstflint (4.14.0+3-1) unstable; urgency=medium

  * New upstream release
  * Add cross.patch (Closes: #956757).
  * Remove man pages for uninstalled programs
  * Add myself as an uploader

 -- Tzafrir Cohen <tzafrir@debian.org>  Thu, 27 Aug 2020 21:35:39 +0300

mstflint (4.13.3+2-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * Support linking against system libjsoncpp (Closes: #953789)
  * Do not install headers and static libraries. They are not used in Debian
    and they should belong to a separate development package instead.

  [ dann frazier ]
  * Enable mstreg command (Closes: #953792)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 26 Mar 2020 16:47:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>,
+           Tzafrir Cohen <tzafrir@debian.org>,
            Benjamin Drung <benjamin.drung@cloud.ionos.com>
 Build-Depends: debhelper-compat (= 12),
-	       libboost-filesystem-dev,
-	       libboost-regex-dev,
-	       libboost-system-dev,
-	       libexpat1-dev,
+               libboost-filesystem-dev,
+               libboost-regex-dev,
+               libboost-system-dev,
+               libexpat1-dev,
                libibmad-dev,
+               libjsoncpp-dev,
                liblzma-dev,
                libmuparser-dev,
                libsqlite3-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-adb-generic-tools

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/mstflint/usr/include debian/mstflint/usr/lib/*/*.a debian/mstflint/usr/lib/*/mstflint/*.a
	# Unused unless fw-mgr is enabled:
	rm -rf debian/mstflint/usr/share/man/man1/mstarchive.1.gz \
	  debian/mstflint/usr/share/man/man1/mstfwmanager.1.gz

## mstflint 4.16.0+1

=== debian/changelog ===
mstflint (4.16.0+1-3) unstable; urgency=medium

  * Add mipsel and mips64el architectures

 -- Tzafrir Cohen <tzafrir@debian.org>  Thu, 11 Feb 2021 21:20:47 +0200

mstflint (4.16.0+1-2) unstable; urgency=medium

  * array_length.patch: fix building on 32 bit
  * riscv.patch and hppa_and_m68k.patch: allow building on those
  * Clean files to allow building twice (for real now)

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 08 Feb 2021 11:11:11 +0200

mstflint (4.16.0+1-1) unstable; urgency=medium

  * New upstream release:
    - Dropped 0002-Make-the-build-reproducible.patch and
      Support-linking-against-system-libjsoncpp.patch: merged upstream.
  * Compat level 13
  * debian/watch: uscan version 4
  * debian/rules: fix removal of unused man pages
  * Add fix_interpreters.patch: python shebangs
  * Clean files to allow building twice

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 03 Feb 2021 13:59:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Mehdi Dogguy <mehdi@debian.org>,
            Tzafrir Cohen <tzafrir@debian.org>,
            Benjamin Drung <benjamin.drung@cloud.ionos.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libboost-filesystem-dev,
                libboost-regex-dev,
                libboost-system-dev,
@@ -18,7 +18,7 @@
                libssl-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/hpc-team/mstflint.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/mstflint

## mstflint 4.17.0+1

=== debian/changelog ===
mstflint (4.17.0+1-1build2) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:49:32 +0000

mstflint (4.17.0+1-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 13:46:35 +0100

mstflint (4.17.0+1-1) unstable; urgency=medium

  * New upstream release:
    - array_length.patch removed: merged upstream.
    - riscv.patch removed removed merged upstream.
    - hppa_and_m68k.patch remove: merged upstream.
    - mipsel.patch added (originally from hppa_and_m68k.patch).
  * Add malloc_delete_free.patch (Closes: #984247).

 -- Tzafrir Cohen <tzafrir@debian.org>  Fri, 05 Nov 2021 16:25:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mstflint
 Section: net
 Priority: optional
-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>,
            Tzafrir Cohen <tzafrir@debian.org>,
            Benjamin Drung <benjamin.drung@cloud.ionos.com>

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_clean:
	dh_clean
	find . -name '*.o' -o -name '*.a' -o -name '*.so' -o -name *.lo \
		-o -name '*.d' \
	| xargs -r rm -f
	# Skip ext_libs/
	@for Makefile in `find . -name Makefile`; do \
	  if [ ! -e $$Makefile.in ]; then \
		rm -fv $$Makefile; \
	  fi; \
	done

override_dh_auto_configure:
	dh_auto_configure -- --enable-adb-generic-tools

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/mstflint/usr/include debian/mstflint/usr/lib/*/*.a debian/mstflint/usr/lib/*/mstflint/*.a
	# Unused unless fw-mgr is enabled:
	rm -rf debian/mstflint/usr/share/man/man1/mstarchive.1* \
	  debian/mstflint/usr/share/man/man1/mstfwmanager.1*

## mstflint 4.21.0%2B1

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: mstflint
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>,
-           Tzafrir Cohen <tzafrir@debian.org>,
-           Benjamin Drung <benjamin.drung@cloud.ionos.com>
+           Tzafrir Cohen <tzafrir@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libboost-filesystem-dev,
                libboost-regex-dev,
@@ -17,6 +15,7 @@
                libmuparser-dev,
                libsqlite3-dev,
                libssl-dev,
+               libiniparser-dev,
                pkg-config,
                zlib1g-dev
 Standards-Version: 4.5.1

## mstflint 4.21.0+1

=== debian/changelog ===
mstflint (4.21.0+1-1ubuntu0.1~22.04.1) jammy; urgency=medium

  * Backport to jammy with no changes.
    - Restoring Debian-based packaging restores the mstlink binary.
      LP: #2051571.

 -- dann frazier <dannf@ubuntu.com>  Fri, 12 Apr 2024 14:33:09 -0600

mstflint (4.21.0+1-1ubuntu0.1) mantic; urgency=medium

  * Add mstflint-dkms package to avoid a regression from jammy.
    LP: #2061182. This backports the packaging changes from noble that
    introduce the mstflint-dkms binary, which depends on the following
    backport of the install-dkms target from upstream:
    - d/p/0001-debian-mstflint-mstflint-dkms-packages-generation.patch
  * A bug in the kernel module can lead to UBSAN errors in dmesg upon
    device closure. LP: #2061185. Backport changes to fix that:
    - d/p/0002-Fix-illegal-shift-in-mst_release.patch
    - d/p/0003-Fix-typo.patch (fix for previous patch)
  * Backport change to clarify the licensing terms for the mstflint_access
    kernel module. LP: #2061186.
    - d/p/0004-Add-missed-license.patch
  * The kernel modules source in mstflint 4.21 FTBFS w/ the 6.5 kernel.
    LP: #2043098. Backport changes to fix that:
    - d/p/0005-fix-kernel-module-build-on-kernel-6.4.patch
    - d/p/0006-kernel-module-fix-wrong-comparison-order.patch (fix for
      previous patch).
  * Since we have now backported every patch that touches the kernel module
    source between 4.21.0 and 4.26.0, use 4.26.0 as the upstream version for
    the mstflint-dkms deb. This requires a patch to let us override the
    version during the build:
    - d/p/kernel-module-config-version.patch

 -- dann frazier <dannf@ubuntu.com>  Fri, 12 Apr 2024 14:26:39 -0600

mstflint (4.21.0+1-1) unstable; urgency=medium

  * New upstream release:
    - 0003-Fix-man-page-errors.patch removed: merged upstream
    - malloc_delete_free.patch removed: merged upstream
  * Add man-proper-header-line.patch
  * Add typos.patch

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 17 Aug 2022 12:12:52 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: mstflint
 Section: net
 Priority: optional
-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>,
            Tzafrir Cohen <tzafrir@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-dkms,
                libboost-filesystem-dev,
                libboost-regex-dev,
                libboost-system-dev,
@@ -23,6 +25,7 @@
 Vcs-Git: https://salsa.debian.org/hpc-team/mstflint.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/mstflint
 Homepage: https://github.com/Mellanox/mstflint
+Testsuite: autopkgtest-pkg-dkms
 
 Package: mstflint
 Architecture: linux-any
@@ -30,6 +33,7 @@
          python3,
          ${misc:Depends},
          ${shlibs:Depends}
+Suggests: mstflint-dkms
 Description: Mellanox firmware burning application and diagnostics tools
  This package contains a burning tool and diagnostic tools for Mellanox
  manufactured host channel adapters (HCA) and network interface cards (NIC).
@@ -38,3 +42,24 @@
  HCA/NIC cards. Using it with cards manufactured by other vendors may
  be harmful to the cards (due to different configurations). Using the
  diagnostic tools is normally safe for all HCAs/NICs.
+
+Package: mstflint-dkms
+Section: kernel
+Priority: optional
+Architecture: all
+Depends: dkms,
+         make,
+         ${misc:Depends}
+Enhances: mstlint
+Description: mstflint kernel module for Linux
+ The mstflint userspace tools require a kernel module to operate in
+ Secure Boot mode. This package provides the required module source,
+ and will build that module for your kernel upon installation.
+ .
+ Note: This module will need to be signed by a trusted key in order
+ for your kernel to load it when booted in Secure Boot mode.
+ For information on how to do this, see the appropriate documentation
+ for your distribution. For Debian and Ubuntu:
+ .
+   https://wiki.debian.org/SecureBoot
+   https://wiki.ubuntu.com/UEFI/SecureBoot

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

pname := mstflint
pdkms := $(pname)-dkms
dkms_pkg := $(pname)-$(pversion)
deb_revision := $(lastword $(subst -, ,$(DEB_VERSION)))
dkms_pkg_ver := 4.26.0+1-$(deb_revision)

test:
	echo $(deb_revision)
	echo $(dkms_pkg_ver)

%:
	dh $@ --with dkms

override_dh_clean:
	dh_clean
	find . -name '*.o' -o -name '*.a' -o -name '*.so' -o -name *.lo \
		-o -name '*.d' \
	| xargs -r rm -f
	# Skip ext_libs/
	@for Makefile in `find . -name Makefile`; do \
	  if [ ! -e $$Makefile.in ] && \
	     [ $$Makefile != "./kernel/Makefile" ]; then \
		rm -fv $$Makefile; \
	  fi; \
	done

override_dh_auto_configure:
	dh_auto_configure -- --enable-adb-generic-tools

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/tmp/usr/include debian/tmp/usr/lib/*/*.a debian/tmp/usr/lib/*/mstflint/*.a
	# Unused unless fw-mgr is enabled:
	rm -rf debian/tmp/usr/share/man/man1/mstarchive.1* \
	  debian/tmp/usr/share/man/man1/mstfwmanager.1*
	sed -e 's:@PKGVER@:$(dkms_pkg_ver):' < debian/$(pdkms).dkms.in > debian/$(pdkms).dkms
	make -C kernel DESTDIR=$(CURDIR)/debian/tmp PACKAGE_VERSION=$(dkms_pkg_ver) install-dkms

override_dh_gencontrol:
	dh_gencontrol
	dh_gencontrol -pmstflint-dkms -- -v$(dkms_pkg_ver)

## mstflint 4.21.0-7

=== debian/changelog ===
mstflint (4.21.0-7) jammy; urgency=low

  * Getting build to work in kernel build space.

 -- Brad Figg <bfigg@nvidia.com>  Tue, 01 Nov 2022 14:34:43 -0700

mstflint (4.21.0-6) jammy; urgency=low

  * Updated from MFT-4.21.0

 -- Alex Blago <alexbl@nvidia.com>  Sun, 2 Oct 2022 00:00:00 +0000

mstflint (4.20.1-1) unstable; urgency=low

  * Updated from MFT-4.20.1

 -- Tomer Tubi <ttubi@nvidia.com>  Tue, 31 May 2022 00:00:00 +0000

mstflint (4.20.0-1) unstable; urgency=low

  * Updated from MFT-4.20.0

 -- Tomer Tubi <ttubi@nvidia.com>  Thu, 28 Apr 2022 00:00:00 +0000

mstflint (4.19.0-1) unstable; urgency=low

  * Updated from MFT-4.19.0 (internal version)

 -- Tomer Tubi <ttubi@nvidia.com>  Thu, 24 Mar 2022 00:00:00 +0000

mstflint (4.18.0-1) unstable; urgency=low

  * Python 2.x - Python 2.x is now end-of-life and no longer supported by MFT.

  * To use the latest and up-to-date MFT tools, we recommend you use Python 3.x.

  * mstflint - When downgrading to a firmware version that does not support the flash type of the device, mstflint will present the user a clear error of such scenario.

  * mstfwreset	Added a new reset-type ("NIC only reset") to mstfwreset which is applicable only to SmartNIC devices.

  * The new reset-type is also the new default for SmartNIC devices. In case of reset-type is set to "NIC only reset", mstfwreset will not reset the internal host.

  * mstlink	- Added support for new PRBS TX/RX patterns (--tx_prbs <tx_prbs_mode> & --rx_prbs <rx_prbs_mode>).

  * For further information, see mstlink Utility section.

  * mstlink - Added new show counters for 16nm devices. To see them run the "show_counter" command.

  * mstlink - Extended the list of the cable information received for 16nm devices when running the "show_module" command.

  * mstlink - Extended the information collection for 7nm and 16nm devices. See "--amber_collect" flag.

  * For further information, see mstlink Utility section.

  * mstlink - Extended the list of the cable information (LOL, LOS, FSM, and module status) for CMIS when running the "show_module" command.

 -- Tomer Tubi <ttubi@nvidia.com>  Thu, 25 Nov 2021 00:00:00 +0200

mstflint (4.17.0-1) unstable; urgency=low

  * Updated from MFT-4.17.0

 -- Kostiantyn Maksatov <kostiantynm@unknown>  Thu, 10 Jun 2021 11:11:11 +0300

mstflint (4.16.0-2) unstable; urgency=low

  * Updated mlxconfig, fixed several bugs

 -- Kostiantyn Maksatov <kostiantynm@unknown>  Mon, 22 Mar 2021 16:58:33 +0300

mstflint (4.16.0-1) unstable; urgency=low

  * Updated from MFT-4.16.0

 -- Kostiantyn Maksatov <kostiantynm@unknown>  Thu, 17 Dec 2020 04:58:33 +0300

mstflint (4.15.0-1) unstable; urgency=low

  * Ported ConnectX6Dx EFUSE programming from MFT 4.16.0

 -- Kostiantyn Maksatov <kostiantynm@unknown>  Thu, 27 Aug 2020 16:50:45 +0300

mstflint (4.14.0-3) unstable; urgency=low

  * Fixed format-security warning in flint's checkFwVersion.

 -- Dan Goldberg <dang@unknown>  Thu, 18 Jun 2020 00:00:00 +0200

mstflint (4.14.0-2) unstable; urgency=low

  * Updated from MFT-4.14.0. Added BlueField-2 adapter cards support.

 -- Kostiantyn Maksatov <kostiantynm@unknown>  Thu, 11 Jun 2020 15:55:46 +0200

mstflint (4.14.0-1) unstable; urgency=low

  * Updated from MFT-4.14.0

 -- Matan Eliyahu <matanel@unknown>  Tue, 31 Mar 2020 00:00:00 +0200

mstflint (4.13.3-2) unstable; urgency=low

  * Updated from MFT-4.13.3

 -- Matan Eliyahu <matanel@unknown>  Wed, 08 Jan 2020 00:00:00 +0200

mstflint (4.13.3-1) unstable; urgency=low

  * Updated from MFT-4.13.3. Added new tools: mstresourcedump.

 -- Matan Eliyahu <matanel@unknown>  Tue, 31 Dec 2019 00:00:00 +0200

mstflint (4.13.1-1) unstable; urgency=low

  * Updated from MFT-4.13.0

 -- Matan Eliyahu <matanel@unknown>  Thu, 10 Oct 2019 00:00:00 +0200

mstflint (4.13.0-1) unstable; urgency=low

  * Updated from MFT-4.13.0

 -- Matan Eliyahu <matanel@unknown>  Wed, 02 Oct 2019 00:00:00 +0200

mstflint (4.12.0-1) unstable; urgency=low

  * Updated from MFT-4.12.0

 -- Matan Eliyahu <matanel@unknown>  Thu, 13 Jun 2019 00:00:00 +0200

mstflint (4.11.0-5) unstable; urgency=low

  * Updated from MFT-4.11.1

 -- Dan Goldberg <dang@unknown>  Wed, 01 May 2019 00:00:00 +0200

mstflint (4.11.0-4) unstable; urgency=low

  * Updated from MFT-4.11.1

 -- Dan Goldberg <dang@unknown>  Sun, 07 Apr 2019 00:00:00 +0200

mstflint (4.11.0-3) unstable; urgency=low

  * Updated from MFT-4.11.1

 -- Dan Goldberg <dang@unknown>  Mon, 11 Feb 2019 00:00:00 +0200

mstflint (4.11.0-2) unstable; urgency=low

  * Updated from MFT-4.11.0

 -- Dan Goldberg <dang@unknown>  Thu, 31 Jan 2019 00:00:00 +0200

mstflint (4.11.0-1) unstable; urgency=low

  * Updated from MFT-4.11.0. Added new tools: mlxarchive and mstprivhost.

 -- Dan Goldberg <dang@unknown>  Wed, 21 Nov 2018 16:00:00 +0200

mstflint (4.10.0-1) unstable; urgency=low

  * Updated from MFT-4.10.0

 -- Dan Goldberg <dang@unknown>  Sun, 01 Jul 2018 21:02:03 +0200

mstflint (4.9.0-1) unstable; urgency=low

  * Updated from MFT-4.9.0

 -- Adham Masarwah <adham@unknown>  Mon, 25 Dec 2017 11:21:46 +0200

mstflint (4.8.0-1) unstable; urgency=low

  * Updated from MFT-4.8.0

 -- Adham Masarwah <adham@unknown>  Wed, 18 Oct 2017 17:52:33 +0200

mstflint (4.7.0-1) unstable; urgency=low

  * Updated from MFT-4.7.0

 -- Adrian Chiris <adrianc@unknown>  Mon, 08 May 2017 11:00:33 +0200

mstflint (4.6.0-1) unstable; urgency=low

  * Updated from MFT-4.6.0

 -- Adham Masarwah <adham@unknown>  Wed, 11 Jan 2017 20:01:33 +0200

mstflint (4.5.0-1) unstable; urgency=low

  * Updated from MFT-4.5.0
  * Notice: as of mstflint-4.6.0 the scrip, hca_ofed_self_test.ofed will no longer be a part of mstflint,
                 Instead it will be a part of Mellanox OFED package.

 -- Adrian Chiris <adrianc@unknown>  Mon, 05 Sep 2016 15:31:33 +0200

mstflint (4.4.0-1) unstable; urgency=low

  * Updated from MFT-4.4.0

 -- Adrian Chiris <adrianc@unknown>  Tue, 24 May 2016 15:31:33 +0200

mstflint (4.3.0-1) unstable; urgency=low



=== debian/control ===
Source: mstflint
Section: net
Priority: optional
Maintainer: NVIDIA MFT Apps team <akiselman-org@nvidia.com>
Build-Depends: debhelper (>= 9.0), autotools-dev, bzip2, dkms, dpkg-dev, automake, autoconf, make, g++, zlib1g-dev, libibmad-dev, libssl-dev, libjsoncpp-dev, pkg-config, libtool, debhelper, git
Standards-Version: 4.6.1
Homepage: https://www.nvidia.com/networking/
Vcs-Git: https://github.com/Mellanox/mstflint.git

Package: mstflint
Architecture: any
Depends: ${misc:Depends}
Description: mstflint - Mellanox firmware burning tools
 This package contains firmware manipulation tools for network adapters based on Mellanox Technologies chips.

Package: mstflint-dkms
Section: kernel
Priority: optional
Architecture: all
Depends: dkms, make, ${misc:Depends}
Recommends: linux-headers-arm64 | linux-headers-powerpc | linux-headers-ppc64 | linux-headers-ppc64le | linux-headers-amd64 | linux-headers-generic | linux-headers
Description: DKMS support for mstflint kernel modules
 This package provides integration with the DKMS infrastructure for automatically building out of tree kernel modules.
 .
 This package contains the source to be built with dkms.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
DEB_CONFIGURE_EXTRA_FLAGS ?= ""

pname:=mstflint
pdkms:=$(pname)-dkms
dkms_pkg:=$(pname)-$(pversion)
pversion_number:=$(shell sed -r '1 s:(.*) \((.*)\).*:\2:; q' debian/changelog)
pversion_string:=$(shell sed -r '1 s:(.*) \((.*)\).*:\1 \2:; q' debian/changelog)

%:
	dh $@ --with dkms

# override_dh_auto_clean:

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS) "MSTFLINT_VERSION_STR=$(pversion_string)"

override_dh_auto_build:
	make

override_dh_auto_install:
	sed -e 's:@PKGVER@:$(pversion_number):' < debian/$(pdkms).dkms.in > debian/$(pdkms).dkms
	make DESTDIR=$(CURDIR)/debian/tmp install
	make -C kernel DESTDIR=$(CURDIR)/debian/tmp install-dkms
